# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
# This product includes software developed at Datadog (https://www.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations

from typing import TYPE_CHECKING

from datadog_api_client.model_utils import (
    ModelNormal,
    cached_property,
)


if TYPE_CHECKING:
    from datadog_api_client.v2.model.vulnerability_relationships_affects import VulnerabilityRelationshipsAffects


class VulnerabilityRelationships(ModelNormal):
    @cached_property
    def openapi_types(_):
        from datadog_api_client.v2.model.vulnerability_relationships_affects import VulnerabilityRelationshipsAffects

        return {
            "affects": (VulnerabilityRelationshipsAffects,),
        }

    attribute_map = {
        "affects": "affects",
    }

    def __init__(self_, affects: VulnerabilityRelationshipsAffects, **kwargs):
        """
        Related entities object.

        :param affects: Relationship type.
        :type affects: VulnerabilityRelationshipsAffects
        """
        super().__init__(kwargs)

        self_.affects = affects
