# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
# This product includes software developed at Datadog (https://www.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations

from typing import TYPE_CHECKING

from datadog_api_client.model_utils import (
    ModelNormal,
    cached_property,
)


if TYPE_CHECKING:
    from datadog_api_client.v2.model.asset_entity_type import AssetEntityType


class VulnerabilityRelationshipsAffectsData(ModelNormal):
    @cached_property
    def openapi_types(_):
        from datadog_api_client.v2.model.asset_entity_type import AssetEntityType

        return {
            "id": (str,),
            "type": (AssetEntityType,),
        }

    attribute_map = {
        "id": "id",
        "type": "type",
    }

    def __init__(self_, id: str, type: AssetEntityType, **kwargs):
        """
        Asset affected by this vulnerability.

        :param id: The unique ID for this related asset.
        :type id: str

        :param type: The JSON:API type.
        :type type: AssetEntityType
        """
        super().__init__(kwargs)

        self_.id = id
        self_.type = type
