# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
# This product includes software developed at Datadog (https://www.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations


from datadog_api_client.model_utils import (
    ModelSimple,
    cached_property,
)

from typing import ClassVar


class VulnerabilitySeverity(ModelSimple):
    """
    The vulnerability severity.

    :param value: Must be one of ["Unknown", "None", "Low", "Medium", "High", "Critical"].
    :type value: str
    """

    allowed_values = {
        "Unknown",
        "None",
        "Low",
        "Medium",
        "High",
        "Critical",
    }
    UNKNOWN: ClassVar["VulnerabilitySeverity"]
    NONE: ClassVar["VulnerabilitySeverity"]
    LOW: ClassVar["VulnerabilitySeverity"]
    MEDIUM: ClassVar["VulnerabilitySeverity"]
    HIGH: ClassVar["VulnerabilitySeverity"]
    CRITICAL: ClassVar["VulnerabilitySeverity"]

    @cached_property
    def openapi_types(_):
        return {
            "value": (str,),
        }


VulnerabilitySeverity.UNKNOWN = VulnerabilitySeverity("Unknown")
VulnerabilitySeverity.NONE = VulnerabilitySeverity("None")
VulnerabilitySeverity.LOW = VulnerabilitySeverity("Low")
VulnerabilitySeverity.MEDIUM = VulnerabilitySeverity("Medium")
VulnerabilitySeverity.HIGH = VulnerabilitySeverity("High")
VulnerabilitySeverity.CRITICAL = VulnerabilitySeverity("Critical")
